MEMSET(3)

NAME
memset - fill memory with a constant byte

SYNOPSIS
#include <string.h>

void *memset(void *s, int c, size_t n);

DESCRIPTION
The memset() function fills the first n bytes of the memory area pointed to by s with the constant byte c.

RETURN VALUE
The memset() function returns a pointer to the memory area s.

CONFORMING TO
SVr4, 4.3BSD, C89, C99, POSIX.1-2001.

SEE ALSO
bzero(3), swab(3), wmemset(3)

COLOPHON
This page is part of release 3.32 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.